> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update your Opal installation

> Learn how to update your self-hosted Opal installation.

New releases of Opal are made available on a regular basis—see the [changelog](https://docs.opal.dev/changelog) for details. To update your installation:

* Connect to your Opal on-premise dashboard: `https://<HOSTNAME>:8800`
* Click **Check for update**, which fetches the latest available version from Replicated
* Click **Deploy** to deploy, which automatically updates all necessary components

You can also go to the **Version History** in your on-prem dashboard, which has a list of all available versions. From there, you can roll back to previous versions.

Deploying a new release should take less than a minute and does not cause downtime. However, you should always monitor the upgrade in case issues arise.

## Security Updates: Kots

To update KOTS and the admin console, follow these instructions:

1. Log in to the cluster
2. Install the latest version of kots
   ```Text Shell theme={null}
   curl https://kots.io/install | bash
   ```
3. Upgrade your cluster
   ```Text Shell theme={null}
   kubectl kots admin-console upgrade -n NAMESPACE
   ```

## Troubleshooting updates

### Blank page after update

If you see a blank page after updating Opal, you can try the following to troubleshoot:

**Clear your browser cache:**

1. Follow instructions for [Chrome](https://support.google.com/accounts/answer/32050?hl=en\&co=GENIE.Platform%3DDesktop), [Safari](https://www.macrumors.com/how-to/clear-safari-cache/), or your chosen browser.
2. After clearing the cache, refresh the page to see if the issue is resolved.

**Clear your Cloudflare cache:**

1. Log in to your Cloudflare dashboard and go to **Caching > Configuration**.

![2000](https://mintcdn.com/opalsecurity/TlQj9FwRe9HHNEYB/images/docs/09af31c-image.png?fit=max\&auto=format\&n=TlQj9FwRe9HHNEYB\&q=85\&s=13692b35de7cd0ac2200403a5d873f01)

2. Click **Purge Everything**. Wait up to 30 seconds, then refresh your Opal page.

![2292](https://mintcdn.com/opalsecurity/lt0M-hBs5yNe5ff5/images/docs/9af3698-image2.png?fit=max\&auto=format\&n=lt0M-hBs5yNe5ff5\&q=85\&s=cc1efb59b7a0b5179dddc807be7328b0)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.